/* NOTES:
	This .do file goes through the data cleaning and analysis as used in the paper in the Journal of Social Policy
	HOWEVER, local area data (for the analyses on dependency culture) are not included as they are potentially highly disclosive
	If you are interested in re-running some of the analyses using local area data, please get in touch with me (b.b.geiger@kent.ac.uk)
	and I'll be happy to discuss this with you.
*/

version 12
ssc install estout, replace			// Requires the latest version of this to run
macro drop _all						// Must do this BEFORE setting the dir globals below!
	pause on
	set more off
// Directory
global dodir 		"C:\Users\bpb\Dropbox\WS\Stigma proposal 2012\1. MORI survey"
// Follow-on dirs
capture log close
	local cmth = month(date("`c(current_date)'", "DMY"))
	local cyr  = year(date("`c(current_date)'", "DMY"))
	log using "$dodir\logs\MORI`cyr'-`cmth'.txt", text append
global filename "MORI-v1-06"									// Merged media vars

exit



//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
// THE DATA 
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////

* This is the syntax for taking the authors dataset, removing disclosive variables, and creating the sharing dataset
use "${dodir}\\${filename}.dta", replace
drop TCrateR-nonwest AllrateR surveyexp estfraud10 bencount? screen? disvisible* papercount paper1-pap_frdM pattern*
save "JSP2016_dataset_basedonV1-06.dta", replace
	
	
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
// RESULTS FOR 2014 paper
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////

// To start
estimates clear
set matsize 10000
do "${dodir}\6_paper_2014_furthercleaning.do"	// This loads "${dodir}\\${filename}_paper2014" automatically

	

// Main estimates
do "$dodir\6_paper_2014_results_desc.do"
do "$dodir\6_paper_2014_results_reg.do"		
