estimates clear
use "${dodir}\\${filename}_paper2014", replace
time

////////////////////////////////////////////////////
////////////////////////////////////////////////////
// Descriptive statistics part 1
////////////////////////////////////////////////////
////////////////////////////////////////////////////
	
////////////////////////////
// Overall responses
	/* There are no continuous vars used 
	(this would be done separately otherwise) */
unab catvars: ?stigma?* EminusI* INSstigmaR* noBEN* noTC* claims* benJSA-benNone ben_outofwrk ben_other anyben benTCwork agegrpR male region marstat kidshhld sgrade inwork tenure3 qual4
foreach var in `catvars' 	{
	eststo desc_`var' : proportion `var' [pweight=wtnew], nolabel
/**/						}


////////////////////////////
// Splitting claimants from non-claimants for stigma per se
	/* Combined, for sig testing (pweights used 
	to enable SUEST on different samples)	*/
foreach ben in ALL TC JSA ESA ISSP HB	{
	foreach comparison in claims claimsplit	{
		if "`ben'"=="ALL"	eststo `comparison'_`ben':		proportion Istigma`ben'c Estigma`ben'c [pweight=wtnew], over(anyben, nolabel)
		else				eststo `comparison'_`ben':		proportion Istigma`ben'c Estigma`ben'c [pweight=wtnew], over(`comparison'`ben', nolabel)
			matrix working = e(_N)
				estadd scalar n_claimants	= working[1,2]		: `comparison'_`ben'
			* Agree
			lincom _b[_prop_3:1] - _b[_prop_3:0]	
				estadd scalar I_diff_agree 	= r(estimate)		: `comparison'_`ben'
			test (_b[_prop_3:1]=_b[_prop_3:0])
				estadd scalar I_p_agree	 	= r(p)				: `comparison'_`ben'
			lincom _b[_prop_6:1] - _b[_prop_6:0]	
				estadd scalar E_diff_agree 	= r(estimate)		: `comparison'_`ben'
			test (_b[_prop_6:1]=_b[_prop_6:0])
				estadd scalar E_p_agree	 	= r(p)				: `comparison'_`ben'
			*Disagree
			lincom _b[_prop_1:1] - _b[_prop_1:0]
				estadd scalar I_diff_disagree = r(estimate)		: `comparison'_`ben'
			test (_b[_prop_1:1]=_b[_prop_1:0])
				estadd scalar I_p_disagree	 = r(p)				: `comparison'_`ben'
			lincom _b[_prop_4:1] - _b[_prop_4:0]
				estadd scalar E_diff_disagree = r(estimate)		: `comparison'_`ben'
			test (_b[_prop_4:1]=_b[_prop_4:0])
				estadd scalar E_p_disagree	 = r(p)				: `comparison'_`ben'
			* Overall
			if "`ben'"=="ALL"	svy: tab Istigma`ben'c anyben			 , col pearson
			else				svy: tab Istigma`ben'c `comparison'`ben' , col pearson
				local out_p = e(p_Pear)
				estadd scalar I_chi2 = `out_p'					: `comparison'_`ben'
			if "`ben'"=="ALL"	svy: tab Estigma`ben'c anyben			 , col pearson
			else				svy: tab Estigma`ben'c `comparison'`ben' , col pearson
				local out_p = e(p_Pear)
				estadd scalar E_chi2 = `out_p'					: `comparison'_`ben'
	/**/									}			
/**/								}
estimates drop claimsplit_ALL			// As IF commands above show, this is just a duplicate of claimsALL
// Necessary to compare between claimants perception of stigma for that benefit, across different bens
unab allvars: ?stigma??c ?stigma???c ?stigma????c
eststo claimgroup_allvars:	proportion `allvars' [pweight=wtnew], over(claimgroup, nolabel)		
	matrix working = e(_N)
		estadd scalar n_claimants_TC	= working[1,3]		: claimgroup_allvars
		estadd scalar n_claimants_JSA	= working[1,4]		: claimgroup_allvars
		estadd scalar n_claimants_ESA	= working[1,5]		: claimgroup_allvars
		estadd scalar n_claimants_ISSP	= working[1,6]		: claimgroup_allvars
	test  (_b[_prop_3:2] = _b[_prop_6:3] = _b[_prop_9:4] = _b[_prop_12:5])
		estadd scalar claimdiff_agree	 = r(p)				: claimgroup_allvars
	test  (_b[_prop_1:2] = _b[_prop_4:3] = _b[_prop_7:4] = _b[_prop_10:5])
		estadd scalar claimdiff_disagr = r(p)				: claimgroup_allvars


////////////////////////////
// Institutional stigma
eststo claim_INS:			proportion INSstigmaRc  [pweight=wtnew], over(anyben, nolabel) nolabel
	matrix working = e(_N)
		estadd scalar n_claimants	= working[1,2]		: claim_INS
* Association with felt stigma & stigmatisation
foreach Z in I E	{
	eststo claim_INS_`Z':	proportion INSstigmaRc if anyben==1 [pweight=wtnew], over(`Z'stigmaALLc, nolabel) nolabel
	svy: tab `Z'stigmaALLc INSstigmaRc if anyben==1, row
		local out_p = e(p_Pear)
		estadd scalar `Z'_chi2 = `out_p'					: claim_INS_`Z'
	eststo noclaim_INS_`Z':	proportion INSstigmaRc if anyben==0 [pweight=wtnew], over(`Z'stigmaALLc, nolabel) nolabel
	svy: tab `Z'stigmaALLc INSstigmaRc if anyben==0, row
		local out_p = e(p_Pear)
		estadd scalar `Z'_chi2 = `out_p'					: noclaim_INS_`Z'
/**/				}




////////////////////////////////////////////////////
////////////////////////////////////////////////////
// Descriptive statistics part 2 - non-take-up
////////////////////////////////////////////////////
////////////////////////////////////////////////////

* Main descriptives are above under 'Overall responses'

* Comparing TCs and benefits - identity and feel are investigated in more detail as istigma shows a difference
foreach var in istigma identity feel estigma insstig anystig nonstig none	{	
	prop noBEN`var' noTC`var' [pweight=wtnew], nolabel
		lincom _b[noBEN`var':1] - _b[noTC`var':1] 
			estadd scalar diff 	= r(estimate)		: desc_noBEN`var'
		test _b[noBEN`var':1] - _b[noTC`var':1] = 0
			estadd scalar p 	= r(p)				: desc_noBEN`var'
	/**/													}

* Comparing hypothetical (non-claimants) with actual (claimants) situations
foreach ben in BEN TC	{
	if "`ben'"=="BEN"	eststo claim_no`ben':	proportion no`ben'anystig no`ben'istigma no`ben'estigma no`ben'insstig no`ben'nonstig no`ben'none no`ben'identity no`ben'feel [pweight=wtnew], over(benclaimant)
	if "`ben'"=="TC"	eststo claim_no`ben':	proportion no`ben'anystig no`ben'istigma no`ben'estigma no`ben'insstig no`ben'nonstig no`ben'none no`ben'identity no`ben'feel [pweight=wtnew], over(TCclaimant)
		matrix working = e(_N)
			estadd scalar n_claimants = working[1,2] : claim_no`ben'	
		forvalues i = 2(2)16	{
			test (_b[_prop_`i':1] = _b[_prop_`i':0])
			estadd scalar p_prop`i' = r(p)			: claim_no`ben'
		/**/					}
/**/					}

* Association of stigma with take-up
*foreach ben in BEN TC	{
foreach ben in BEN 	{
	foreach var in istigma estigma insstig anystig nonstig none	{	
		eststo assoc_no`ben'_`var'I:		proportion no`ben'`var' [pweight=wtnew], over(IstigmaALLc, nolabel) nolabel
			test (_b[_prop_2:3] = _b[_prop_2:1])
			estadd scalar p = r(p)					:assoc_no`ben'_`var'I
		eststo assoc_no`ben'_`var'E:		proportion no`ben'`var' [pweight=wtnew], over(EstigmaALLc, nolabel) nolabel
			test (_b[_prop_2:3] = _b[_prop_2:1])
			estadd scalar p = r(p)					:assoc_no`ben'_`var'E
		eststo assoc_no`ben'_`var'INS:	proportion no`ben'`var' [pweight=wtnew], over(INSstigmaRc, nolabel) nolabel
			test (_b[_prop_2:3] = _b[_prop_2:1])
			estadd scalar p = r(p)					:assoc_no`ben'_`var'INS
	/**/														}
/**/					}

	

////////////////////////////
// Outputting all responses to this point
set matsize 10000
global scalars "n_claimants I_diff_agree I_p_agree I_diff_disagree I_p_disagree I_chi2"
global scalars "${scalars}  E_diff_agree E_p_agree E_diff_disagree E_p_disagree E_chi2 "
global scalars "${scalars}  n_claimants_TC	n_claimants_JSA	n_claimants_ESA	n_claimants_ISSP diff p"
global scalars "${scalars}  p_prop2 p_prop4 p_prop6 p_prop8 p_prop10 p_prop12 p_prop14 p_prop16"
esttab desc* *claim* assoc* using "${dodir}\9_output1.csv", scalars(${scalars}) sfmt(%3.0f %4.3f) varwidth(25) not nostar nonum nodepvars csv coeflabels() replace
estwrite * using "${dodir}\9_ests1", replace id(serial)
/*
	estimates clear
	use "${dodir}\\${filename}_paper2014", replace
	estread "${dodir}\9_ests1", id(serial)
*/
time
estimates restore claimgroup_allvars
	test (_b[_prop_6:2] = _b[_prop_18:3] = _b[_prop_24:4] = _b[_prop_36:5]) 	// TC then JSA, ESA, ISSP
	test (_b[_prop_3:2] = _b[_prop_15:3] = _b[_prop_21:4] = _b[_prop_33:5])
	lincom _b[_prop_18:3] - _b[_prop_36:5]
svy: tab INSstigmaRc noBENentitl, row
svy: tab INSstigmaRc noBENhassle, row
svy: tab INSstigmaRc noBENoth, row
